DOCS

Een order complete aanvragen

Een order complete aanvragen

Verken de key/value-pairs in een order complete-request.

Met de Order Complete API kunt u een nieuw request voor voltooide orderinformatie maken met essentiële gegevens voor nauwkeurige verwerking. Deze API zorgt voor succesvolle orderafronding door vitale informatie over betrokken partijen en trackingnummers te specificeren, naast andere verplichte velden.

Attributen 

JSON key/value-pairs in de request body

POST | https://api.zonos.com/v1/orders

HEADER zonos-version: 2021-01-01

De bovenstaande header is een vereiste invoer om dit order complete-request succesvol te voltooien.

FieldNotes
account_order_id OPTIONALThe number string for the order.
landed_cost_id REQUIREDThe unique landed cost identifier for the merchant or exporter.
parties REQUIREDA list of the parties involved in the shipment. This includes the information for the party who is shipping the package, receiving the package, brokering the package, and responsible for payment of duties and taxes.Providing the ship_from and ship_to parties is required.
parties.city REQUIREDA string for the address city, town, district, suburb, or village of the listed party.
parties.contact_email REQUIREDA string for the contact email.
parties.contact_name REQUIREDA string for the contact name.
parties.contact_phone REQUIREDThe contact phone number.
parties.company_name OPTIONALThe company name.
parties.country REQUIREDThe country, represented by a two-letter ISO code.
parties.line1 REQUIREDA string for line 1 of the address.
parties.line2 REQUIREDA string for line 2 of the address.
parties.postal_code REQUIREDA string for the postal code. Optional for ship_to depending on the country of import.
parties.state OPTIONALA string for the state code when available. Only required in Canada and Brazil for ship_to.
parties.tax_id OPTIONALThe ship_to party must provide a tax ID to import into countries like Brazil. If it is not provided for shipments to Brazil, the shipment will be held at customs until the receiver can be contacted to provide the tax ID. If the receiver cannot be reached, deliveries will likely be delayed, potentially resulting in returned or abandoned packages.
parties.type REQUIREDThe type of party the provided information represents. Possible values include ship_to, ship_from, shipper, sold_to, duties_taxes_payor, and broker.
test OPTIONALIf populated with the value of true, you will not be invoiced for charges related to this order.
tracking_numbers OPTIONALA list for the order tracking numbers.
1{
2 "account_order_id": "123456",
3 "landed_cost_id": "ldct_1LOYliG6NmEu31cVkvGHvv",
4 "parties": [
5 {
6 "city": "Campinas",
7 "contact_email": "info@example.com",
8 "contact_name": "Jean-Luc Picard",
9 "contact_phone": "1234567890",
10 "company_name": "Starfleet",
11 "country": "BR",
12 "line1": "49 Chapadao Rua",
13 "line2": null,
14 "postal_code": "75828-000",
15 "state": "SP",
16 "tax_id": "12-3456789",
17 "type": "ship_to"
18 }
19 ],
20 "tracking_numbers": [
21 "1Z12345E0205271688"
22 ]
23}
Boek een demo

Was deze pagina nuttig?